[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.GotoBookmark

Jump to bookmark

## Declaration

Source position: db.pas line 1577

`public procedure TDataSet.GotoBookmark(`
`ABookmark: TBookmark`
`);`

## Arguments

`ABookmark` |  | Bookmark to position the dataset on

## Description

GotoBookmark positions the dataset to the bookmark position indicated by ABookMark. ABookmark is a bookmark obtained by the TDataset.GetBookmark function.

This function is deprecated, use the TDataset.Bookmark property instead.

## Errors

if ABookmark does not contain a valid bookmark, then an exception may be raised.

## See also

TDataset.Bookmark |  | Get or set the current cursor position
TDataset.GetBookmark |  | Get a bookmark pointer (deprecated)
TDataset.FreeBookmark |  | Free a bookmark obtained with GetBookmark (deprecated)

The latest version of this document can be found at lazarus-ccr.sourceforge.net .